import 'package:get/get.dart';
import 'package:sigap/src/features/auth/data/bindings/authentication_bindings_repository.dart';
import 'package:sigap/src/features/daily-ops/data/bindings/daily_ops_repository_bindings.dart';
import 'package:sigap/src/features/map/data/bindings/map_repository_bindings.dart';
import 'package:sigap/src/features/panic-button/data/bindings/panic_button_repository_bindings.dart';
import 'package:sigap/src/features/personalization/data/bindings/personalization_repository_bindings.dart';

class RepositoryBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature repositories
    AuthRepositoryBindings().dependencies();

    PersonalizationRepositoryBindings().dependencies();

    PanicButtonRepositoryBindings().dependencies();

    MapRepositoryBindings().dependencies();

    DailyOpsRepositoryBindings().dependencies();
  }
}
